Subject: Re: error: cannot lock ref 'refs/remotes/origin/*'

From: Nicolas Bock <[email-masked]>
Date: Mon, 16 Jun 2008 19:47:25 -0600

I realized that I recently upgraded from version 1.5.3.7 to 1.5.4.5. I
double checked and downgraded again, and yes, I don't have any problems
running "git gc" with the older version, but I get the below error
message with the newer version of git.

nick

On Mon, 2008-06-16 at 10:53 -0600, Nicolas Bock wrote:
> Hello list,
> 
> when running "git gc" I get the following error message as of late:
> 
> $ git gc
> error: cannot lock ref 'refs/remotes/origin/*'
> error: failed to run reflog
> 
> When I rsync the directory tree to another machine, I can run "git gc"
> without any error messages. What exactly does this error mean? Why would
> locking fail?
> 
> Thanks already,
> 
> nick
> 
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html